GWT 2.7.0

## com.google.gwt.animation.client
Class AnimationSchedulerImplTimer

    java.lang.Object
      com.google.gwt.animation.client.AnimationScheduler
          com.google.gwt.animation.client.AnimationSchedulerImplTimer

     class AnimationSchedulerImplTimer

extends AnimationScheduler

Implementation using a timer for browsers that do not support animation frames.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.animation.client.AnimationScheduler
`AnimationScheduler.AnimationCallback, AnimationScheduler.AnimationHandle, AnimationScheduler.AnimationSupportDetector`

Constructor Summary
`AnimationSchedulerImplTimer()`

Method Summary
`AnimationScheduler.AnimationHandle` | `requestAnimationFrame(AnimationScheduler.AnimationCallback callback, Element element)` Schedule an animation, letting the browser decide when to trigger the next step in the animation.

Methods inherited from class com.google.gwt.animation.client.AnimationScheduler
`get, requestAnimationFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnimationSchedulerImplTimer

    AnimationSchedulerImplTimer()

Method Detail

### requestAnimationFrame

    public AnimationScheduler.AnimationHandle requestAnimationFrame(AnimationScheduler.AnimationCallback callback,
                                                                    Element element)

  Description copied from class: `AnimationScheduler`
  Schedule an animation, letting the browser decide when to trigger the next step in the animation.

  Using this method instead of a timeout is preferred because the browser is in the best position to decide how frequently to trigger the callback for an animation of the specified element. The browser can balance multiple animations and trigger callbacks at the optimal rate for smooth performance.

  Specified by:
    `requestAnimationFrame` in class `AnimationScheduler`
  Parameters:
    `callback` - the callback to fire
    `element` - the element being animated
  Returns:
    a handle to the requested animation frame

GWT 2.7.0